package com.realnet.basicp1.Services;
import com.realnet.basicp1.Repository.CountryRepository;
import com.realnet.basicp1.Entity.Country
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;






	import org.springframework.stereotype.Service;

@Service
 public class CountryService {
@Autowired
private CountryRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;





public Country Savedata(Country data) {






	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Country save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Country> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Country> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Country> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Country getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Country update(Country data,Integer id) {
	Country old = Repository.findById(id).get();
old.setCountry_name(data.getCountry_name());

old.setDescription(data.getDescription());

old.setActive (data.isActive());

final Country test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 






 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
